class Bonus extends Phaser.GameObjects.Image {
    constructor(name, scene, x, y, texture, value) {
        super(scene, x, y, texture);
        this.setOrigin(0.5, 0.5);
        this.displayHeight = HEIGHT_BONUS;
        this.scaleX = this.scaleY;
        scene.add.existing(this);
        this.name = name;
        this.value = value;
        this.scene = scene;
    }
}